%% Grafici sinusoidi discrete: studio del valore della frequenza numerica

close all; % Chiude figure eventualmente aperte

%% Caso 1
A=1; phi = 0; nu = 0.03; 
n  = 0:40;
x = A*cos(2*pi*nu*n+phi);
% Creazione grafico
figure(1);
stem(n,x);
xlabel('n'); ylabel('x(n)');
title(sprintf('Freq: %4.3f',nu));

%% Caso 2
A=1; phi = 0; nu = 0.97; 
n  = 0:40;
x = A*cos(2*pi*nu*n+phi);
% Creazione grafico
figure(2);
stem(n,x);
xlabel('n'); ylabel('x(n)');
title(sprintf('Freq: %4.3f',nu));
